BTGPASSWD(1)

NAME
btgpasswd - application for managing btg daemon password file.

SYNOPSIS
btgpasswd [-a] [-m] [-r] [-l] [-t directory ] [-w directory ] [-s directory ] [-d directory ] [-p password ] [-u username ] [--control 1 | --control 0 ] [-c | --create] [-n] [-f FILE |--config FILE ] [-v] [-h]

DESCRIPTION
btgpasswd manages the password file used by the btg daemon. It supports adding, modifying, removing and listing entries.

btgpasswd reads the btg daemon config file, to find out which password file should be used. It will not work without it.

OPTIONS

-a  - add a new entry.

-m  - modify an entry.

-r  - remove an entry.

-l  - List entries.

-t directory
    - Use temp directory.

-w directory
    - Use work directory.

-s directory
    - Use seed directory.

-d directory
    - Use destination directory .

-p password
    - Use the argument as the password.

-u username
    - Use the argument as the username.

--control 1|--control 0
    - Enable/disable the control flag. It allows an user to: shutdown btgdaemon, set global limits.

-c | --create
    - Create a new file. This is to be used in connection with the -a switch, for creating new users.

-f filename | --config filename
    - Specify the daemon configuration file to use.

-v  - Print the version.

-h|--help
    - Print a short help.

EXAMPLES

Creating a new file (Done by adding a new user).
    btgpasswd --create -a -u username -p password -d /path/to/dest -w /path/to/work -s /path/to/seed -t /path/to/temp

Adding a new user (passwd file exists).
    btgpasswd -a -u username2 -p password2 -d /path/to/dest -w /path/to/work -s /path/to/seed -t /path/to/temp

FILES

~/.btg/daemon.ini - default daemon configuration file is used, unless --config is used to provide another daemon configuration file.

AUTHOR
Written by Michael Wojciechowski.

SEE ALSO
btg(5), btg_config(5)

BUGS
No known bugs.